Update the values of one Global Access List Entry using the unique identifier for the desired IP address.
To find a specific Global Access List Entry, get the list of Global Access List Entries, then find the {ACCESS-LIST-ID} you need.
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
Resource
PATCH /admin/accessList/{ACCESS-LIST-ID}Required Roles
Requires that the API Key calling this endpoint have the Global Owner role.
Request Parameters
Request Path Parameters
Name | Type | Description |
|---|---|---|
| string | Unique identifier for the Global Access List Entry. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body is in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
Name | Type | Description |
|---|---|---|
| string | Range of IP addresses in an access list in IPv4 or IPv6 CIDR notation. |
| string | Timestamp, in the number of seconds that have elapsed since the UNIX epoch when you added this CIDR block to the Global Access List. |
| string | Explanation of the purpose of this Global Access List Entry. |
| string | Unique identifier for this Global Access List Entry. |
| string | Scope of the Global Access List Entry. |
| string | Timestamp, in the number of seconds that have elapsed since the UNIX epoch when you last changed the CIDR block of this Global Access List Entry. |
Example Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --header "Content-Type: application/json" \ --request PATCH "https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/accessList/{ACCESS-LIST-ID}?pretty=true"Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
{ "cidrBlock" : "127.0.0.1/32", "created" : "2019-09-04T17:45:33Z", "description" : "Docs Example", "expires" : null, "id" : "{ACCESS-LIST-ID}", "lastUsed" : null, "type" : "GLOBAL_ROLE", "updated" : "2019-09-04T17:45:33Z"}